summaryrefslogtreecommitdiff
path: root/Master/tlpkg/tlgs/lib/dvipdf
diff options
context:
space:
mode:
Diffstat (limited to 'Master/tlpkg/tlgs/lib/dvipdf')
-rw-r--r--Master/tlpkg/tlgs/lib/dvipdf47
1 files changed, 47 insertions, 0 deletions
diff --git a/Master/tlpkg/tlgs/lib/dvipdf b/Master/tlpkg/tlgs/lib/dvipdf
new file mode 100644
index 00000000000..8e06a743967
--- /dev/null
+++ b/Master/tlpkg/tlgs/lib/dvipdf
@@ -0,0 +1,47 @@
+#!/bin/sh
+# $Id: dvipdf 9344 2009-01-10 22:11:18Z till $
+# Convert DVI to PDF.
+#
+# Please contact Andrew Ford <A.Ford@ford-mason.co.uk> with any questions
+# about this file.
+#
+# Based on ps2pdf
+
+# This definition is changed on install to match the
+# executable name set in the makefile
+GS_EXECUTABLE=gs
+
+
+OPTIONS=""
+DVIPSOPTIONS=""
+while true
+do
+ case "$1" in
+ -R*) DVIPSOPTIONS="$DVIPSOPTIONS $1";;
+ -?*) OPTIONS="$OPTIONS $1" ;;
+ *) break ;;
+ esac
+ shift
+done
+
+if [ $# -lt 1 -o $# -gt 2 ]; then
+ echo "Usage: `basename $0` [options...] input.dvi [output.pdf]" 1>&2
+ exit 1
+fi
+
+infile=$1;
+
+if [ $# -eq 1 ]
+then
+ case "${infile}" in
+ *.dvi) base=`basename "${infile}" .dvi` ;;
+ *) base=`basename "${infile}"` ;;
+ esac
+ outfile="${base}".pdf
+else
+ outfile=$2
+fi
+
+# We have to include the options twice because -I only takes effect if it
+# appears before other options.
+exec dvips -Ppdf $DVIPSOPTIONS -q -f "$infile" | $GS_EXECUTABLE $OPTIONS -q -dNOPAUSE -dBATCH -sDEVICE=pdfwrite -sstdout=%stderr -sOutputFile="$outfile" $OPTIONS -c .setpdfwrite -